[pypy-issue] Issue #1987: Performance degradation on PyPy 2.5.0 vs 2.4.0 (pypy/pypy)

Jakub Głazik issues-reply at bitbucket.org
Thu Feb 19 21:09:17 CET 2015


New issue 1987: Performance degradation on PyPy 2.5.0 vs 2.4.0
https://bitbucket.org/pypy/pypy/issue/1987/performance-degradation-on-pypy-250-vs-240

Jakub Głazik:

We are observing around 10% higher CPU usage on PyPy 2.5 vs 2.4

The workload is a HTTP loadbalancer process serving around 700 API requests per second.

![Zrzut ekranu 2015-02-19 o 21.01.38.png](https://bitbucket.org/repo/R7AbB/images/2512960297-Zrzut%20ekranu%202015-02-19%20o%2021.01.38.png)

The graph presents three instances of a loadbalancer, each participating in a round robin fasion (behind AWS ELB). The top one is running PyPy 2.5, bottom two are on PyPy 2.4.
Sorry for lack of real legend in this graph.

The code that is being run: https://github.com/futuresimple/mantrid






More information about the pypy-issue mailing list